LFR-FSW - Bug #362

CWF_F3 : Champ PA_LFR_ACQUISITION_TIME=0x000000000000
10/03/2015 12:44 PM - Veronique bouzid

Status: Closed Start date: 10/03/2015
Priority: High Due date:

Assignee: bruno katra % Done: 50%
Category: SRS Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Le systeme est & | heure (setTime.py),
on joue le script /home/validation/SCRIPT/just_normal_mode.py quijoue le Normal Mode durant 2h 1mn

La premiere salve de 4 TM_LFR_SCIENCE_NORMAL_CWF_F3 montre un mauvais champ PA_LFR_ACQUISITION_TIME qui vaut
0x000000000000.

11:42:31.207358, TC_LFR_ENTER_MODE, CP_LFR_MODE: NORMAL = 1, CP_LFR_ENTER_MODE_TIME=0x000000000000
11:42:31.239434, TM_LFR_TC_EXE_SUCCESS, TIME=0x1c7f20255cad

11:45:19.192084, TM_LFR_SCIENCE_NORMAL_CWF_F3, PA_LFR_ACQUISITION_TIME=0x000000000000
11:45:19.232713, TM_LFR_SCIENCE_NORMAL_CWF_F3, PA_LFR_ACQUISITION_TIME=0x0000002a0000
11:45:19.264199, TM_LFR_SCIENCE_NORMAL_CWF_F3, PA_LFR_ACQUISITION_TIME=0x000000540000

11:45:19.278873, TM_LFR_SCIENCE_NORMAL_CWF_F3, PA_LFR_ACQUISITION_TIME=0x0000007e0000

Le delta entre chaque TM_LFR_SCIENCE_NORMAL_CWF_F3 est bon (2a = 42s).

Par contre la deuxieme salve de 4 TM_LFR_SCIENCE_NORMAL_CWF_F3 est correcte
11:48:06.886975, TM_LFR_HK, TIME=0x1¢7{21750170, HK_LFR_MODE: NORMAL = 1
11:48:07.190201, TM_LFR_SCIENCE_NORMAL_CWF_F3, PA_LFR_ACQUISITION_TIME=0x1c7f20cd4c2e
11:48:07.211115, TM_LFR_SCIENCE_NORMAL_CWF_F3, PA_LFR_ACQUISITION_TIME=0x1c7f20f74c2e
11:48:07.242629, TM_LFR_SCIENCE_NORMAL_CWF_F3, PA_LFR_ACQUISITION_TIME=0x1c7f21214c2e
11:48:07.255938, TM_LFR_SCIENCE_NORMAL_CWF_F3, PA_LFR_ACQUISITION_TIME=0x1c7f214b4c2e

Les fichiers résultats sont dans /home/validation/data/R2+/JUST-NORMAL

Contexte du test

FSW 2.0.2.2
VHDL 1.1.63
EM 1

SocExplorer 0.4.7 (attention s affiche 0.4.5 dans le fichier Nb.txt)
StarDundee spacewire
Mini-LFR n°5 en mode TIMEGEN

Related issues:
Related to Bug #584: [QR R3] [RPWSWR-621] : discussions internes sur CWF_F3 A... Closed 05/01/2016

History

#1 - 04/06/2015 03:27 PM - paul leroy
- Project changed from LFR-FSW to VHDLib

- Assignee changed from paul leroy to Jean-Christophe Pellion

Vérification effectuée sur EQM avec 2.1.83 et MINI-LFR avec design 0.1.68, le tout premier buffer CWF_F3 a une date 0x00000000, bien que les
données paraissent correctes.

Les autres buffers sont correctement datés.

#2 - 25/09/2015 12:52 PM - Jean-Christophe Pellion

- Status changed from New to Feedback

Le temps du premier buffer a CWF_F3 (premiere salve de 4 TM_LFR_SCIENCE_NORMAL_CWF_F3) ont une date a 0x00000000.
Ce bug est toujours present dans le design 1.1.89, et le seras aussi sur le design 3.1.89.

Une alternative software est envisageable soit au niveau de LFR, soit au niveau du post traitement des donnees sur terre. En effet, ce temps
d'acquisition est "normalement" le temps de declanchement de I'acquisition. Il peut aussi etre deduit du temps des datas de la deuxieme salve de 4
TM_LFR_SCIENCE_NORMAL_CWF_F3.

#3 - 25/09/2015 01:00 PM - Jean-Christophe Pellion

- Assignee changed from Jean-Christophe Pellion to Veronique bouzid

#4 - 04/12/2015 05:48 PM - Alexis Jeandet
- Project changed from VHDLIb to LFR-FSW

#5 - 05/12/2015 11:49 AM - bruno katra

- Assignee changed from Veronique bouzid to paul leroy

#6 - 05/01/2016 11:52 AM - bruno katra
- Related to Bug #584: [QR R3] [RPWSWR-621] : discussions internes sur CWF_F3 ACQ_TIME = 0x0000000 added

#7 - 26/01/2016 02:58 PM - Veronique bouzid
- Priority changed from Normal to High

Suite a l'installation du LFR-SFW version 3.0.0.13, I'analyse montre que le timing des CWF_F3 en normal mode est correct.
Plusieurs tests ont été menés et donnent toujours la méme conclusion: Le timing est correct.

1- Lancement du script /home/validation/SCRIPT/R3/normal_vs_sbm1_mode.py
Ce script demarre en normal mode durant 800s puis communte en SBM1 durant 800s.

Voici les CWF_F3 générées
08:25:02.877994, TC_LFR_ENTER_MODE (CP_LFR_MODE=1)
08:25:02.895228, TM_LFR_TC_EXE_SUCCESS,* TIME=0x8000000b6c75*

la premiere salve de CWF_F3 au timing parfait,

08:27:51.437307, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x8000000bf2a1
08:27:51.445328, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x80000035f2a1
08:27:51.459338, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x8000005ff2a1
08:27:51.47251, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x80000089f2a1

la deuxieme salve

08:30:39.43599, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800000b3f25f
08:30:39.442989, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800000ddf25f
08:30:39.457858, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x8000010725f
08:30:39.470871, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x80000131f25f

la troisieme salve

08:33:27.435048, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x8000015bf216
08:33:27.442258, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x80000185f216
08:33:27.457258, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800001aff216
08:33:27.470455, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800001d9f216

la quatrieme salve

08:36:15.434211, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x80000203f1cb
08:36:15.441519, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x8000022df1cb
08:36:15.456584, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x80000257f1cb
08:36:15.469834, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x80000281f1cb

ici passage en SBM1
08:38:22.897551, TC_LFR_ENTER_MODE (CP_LFR_MODE=3)
08:38:22.935184, TM_LFR_TC_EXE_SUCCESS, TIME=0x8000032b7671

la cinquieme salve alors que le mode sbm1 est actif mais n'a pas affecté le calcul des CWF_F3 qui arrive 42s apres la derniere (2ab-281 = 2a =
42secondes)

08:39:03.433508, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800002abf186

08:39:03.441489, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800002d5f186

08:39:03.455884, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800002fff186

08:39:03.469272, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x80000329f186

la sixieme salve

08:41:51.432578, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x80000353f140
08:41:51.439904, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x8000037df140
08:41:51.454892, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800003a7140
08:41:51.468305, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800003d1140

la septieme

08:44:39.43174, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800003fbf0f9
08:44:39.440002, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x80000425f0f9
08:44:39.454694, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x8000044ff0f9
08:44:39.468114, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x80000479f0f9

la huitieme

08:47:27.430787, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800004a3f0b4
08:47:27.438102, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800004cdf0b4
08:47:27.453238, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800004f7f0b4
08:47:27.466666, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x80000521f0b4

la neuvieme

08:50:15.429841, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x8000054bf06e
08:50:15.437194, TM_LFR_SCIENCE_NORMAL_CWEF_F3, TIME=0x80000575f06e
08:50:15.452565, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x8000059ff06e
08:50:15.466231, TM_LFR_SCIENCE_NORMAL_CWF_F3, TIME=0x800005c9f06e

Conclusion:
COMMENT EST CE POSSIBLE??

2 autres tests ont été joués en utilisant juste socexplorer (I'un sans timegen, |'autre avec timegen).
Dans les 2 cas les tests sont concluants et confirment la correction du timing de CWF_F3 et au passage
que le normal mode ne s'interrompt pas quand on passe en SBM1 au moins pour les CWF_F3.

Les fichiers de tests sont stockés dans /home/validation/data/R3/3.0.0.13/TEST6UNITAIRES/new_mode_mode.

Contexte du test

FSW 3.0.0.13

VHDL 1.1.89

EM sans Timegen ou avec Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

#8 - 26/01/2016 03:58 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Je ne m'explique pas le phénoméne pour l'instant. J'ai changé la gestion des interruptions pour m'adapter a la nouvelle fagon de commuter les
modes. C'est peut-étre di & ca. De mon cété, avec MINI-LFR et 0.1.89 + fswf 3.0.0.14, j'ai également des CWF_F3 bien datées.

#9 - 28/01/2016 10:38 AM - bruno katra
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

Le retour des CWF_F3 bien daté a été constaté par plusieurs confs de test (EM2, Mini-Ifr, avec et sans timegen).
Il semblerait donc que le pré-diagnostic de JC était erroné, le pb a disparu suite a une modif de la gestion des interruptions dans le FSW.
Je cléture et commenterai le JIRA pour informer le projet.

#10 - 28/01/2016 03:07 PM - bruno katra

- Category set to SRS

- Status changed from Closed to In Progress

- Assignee changed from Veronique bouzid to bruno katra

- % Done changed from 100 to 50

REOUVERTURE :
Il s'agit bien d'un bug VHDL comme avait dit JC MAIS il se trouve que si I'on commute & une DUE_DATE (pas de commutation immédiate mais a la
prochaine seconde) : I'échantillon est correctement daté avec le tps du FPGA.

+
Pour la synchro des SWF, Paul a fait que le ENTER_MODE(0) = immediat est en fait maintenant une commutation a la prochaine seconde donc le
bug n'est plus reproductible a priori.

A évaluer et discuter avec Philippe Plasson.

Il faudra donc bien documenter le SUM et discuter avec B. Pontet de tout ¢ca
#11 - 27/01/2017 02:31 PM - bruno katra

- Status changed from In Progress to Closed

Accepté par Plasson : voir #584

SUM et RFD : OK
https://hephaistos.lpp.polytechnique.fr/redmine/issues/584
